function fig = Bmessage(command_str)
% filename: Bmessage.m
% Project: POFACETS
% Description: This function displays a message that a model name has been selected.
% Author:  Prof. David C. Jenn and Elmo E. Garrido Jr.
% Date:  07 August 2000
% Place: NPS
%
% 	BISTATIC MESSAGE GUI

if nargin == 0
   command_str = 'initialize';
end

% Initialize the GUI
if strcmp(command_str,'initialize')
   h_figs = get(0,'children');
   fig_exists = 0;
   for fig = h_figs'
      fig_exists = strcmp(get(fig,'Tag'),'BMessage');
      if fig_exists
         figure(fig);
         return;
      end
   end
end

% FIGURE
h0 = figure('Units','normalized', ...
	'BackingStore','off', ...
	'Color',[0.8 0.8 0.8], ...
	'MenuBar','none', ...
	'Name','  Model Selected', ...
	'NumberTitle','off', ...
	'PaperPosition',[158.25 359.25 295.5 73.5], ...
	'Position',[0.30 0.44 0.30 0.12], ...
	'Resize','off', ...
	'Tag','BMessage', ...
   'ToolBar','none');
% text
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
   'FontU','normalized', ...  
   'max',2, ...
  	'Backg',[0.8 0.8 0.8], ...
	'FontS',0.4, ...
  	'FontN','Arial', ...
	'Horiz','left', ...
	'Position',[0.1 0.5 0.8 0.3], ...
   'String',command_str, ...
	'Style','text', ...
   'Tag','StaticText3');
% OK pushbutton 
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Callback','bistat msg;', ...
	'FontName','Times Roman', ...
	'FontSize',0.5, ...
	'Position',[0.42 0.10 0.2 0.27], ...
	'String','OK', ...
	'Tag','OKButton');