function fig = MPlot(command_str)
% filename: MPlot.m
% Project: POFACETS
% Description: This function displays the theta-cut or phi-cut plot 
%			of the calculated Monostatic RCS for a selected target model.
% Author:  Prof. David C. Jenn and Elmo E. Garrido Jr.
% Date:  14 June 2000
% Place: NPS
%
% 	MPLOT GUI

if nargin == 0
   command_str = 'initialize';
end

% Initialize the GUI
if strcmp(command_str,'initialize')
   h_figs = get(0,'children');
   fig_exists = 0;
   for fig = h_figs'
      fig_exists = strcmp(get(fig,'Tag'),'MPlot');
      if fig_exists
         figure(fig);
         return;
      end
   end
end

% Figure
h0 = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Name','  MONOSTATIC RCS', ...
	'NumberTitle','off', ...
   'Resize','off', ...
	'Position',[0.25 0.35 0.55 0.55], ...
	'Tag','MPlot', ...
	'ToolBar','none'); 
% Axis
h1 = axes('Parent',h0, ...
	'Box','on', ...
   'CameraUpVector',[0 1 0], ...
  	'Position',[0.1 0.135 0.83 0.78], ...
	'Color',[1 1 1], ...
	'Tag','Axis1', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'YColor',[0 0 0], ...
	'YGrid','on', ...
	'ZColor',[0 0 0], ...
   'ZGrid','on');
% Pushbuttons Print and Close
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
	'Callb','mplt PrintMPLot;', ...
	'FontN','Arial''', ...
	'FontS',0.5, ...
	'Position',[0.68 0.02 0.115 0.06], ...
   'String','Print', ...
	'Tag','Print');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
	'Callb','close(gcbf);', ...
	'FontN','Arial''', ...
	'FontS',0.5, ...
	'Position',[0.81 0.02 0.115 0.06], ...
   'String','Close', ...
	'Tag','Print');
