function fig = MPlot1(command_str)
% filename: MPlot1.m
% Project: POFACETS
% Description: This function displays the plot(s) of the calculated
%		Monostatic radar cross section of the model selected.
% Author:  Prof. David C. Jenn and Elmo E. Garrido Jr.
% Date:  14 June 2000
% Place: NPS
%
% 	MPLOT1 GUI

if nargin == 0
   command_str = 'initialize';
end

% Initialize the GUI
if strcmp(command_str,'initialize')
   h_figs = get(0,'children');
   fig_exists = 0;
   for fig = h_figs'
      fig_exists = strcmp(get(fig,'Tag'),'MPlot1');
      if fig_exists
         figure(fig);
         return;
      end
   end
end

% Figure
h0 = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Name','  MONOSTATIC RCS', ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[0.23 0.33 0.55 0.55], ...
	'Renderer','zbuffer', ...
	'RendererMode','manual', ...
	'Resize','off', ...
	'Tag','MPlot1', ...
   'ToolBar','none');
% Pushbuttons Print and Close
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
	'Callb','mplt PrintMPLot1;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
   'Position',[0.68 0.02 0.115 0.06], ...
   'String','Print', ...
	'Tag','Print');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
	'Callb','close(gcbf);', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.81 0.02 0.115 0.06], ...
   'String','Close', ...
	'Tag','Print');
