function fig = Repl_File(command_str)
% filename: Repl_File.m
% Project: POFACETS
% Description: This function asks the user if he/she wants to replace
%			the data of an existing model/file.
% Author:  Prof. David C. Jenn and Elmo E. Garrido Jr.
% Date:  15 July 2000
% Place: NPS
%
% 	REPLACE EXISTING FILE GUI

   h_figs = get(0,'children');
   fig_exists = 0;
   for fig = h_figs'
      fig_exists = strcmp(get(fig,'Tag'),'Repl_File');
      if fig_exists
         delete(fig);
      end
   end

% FIGURE
h0 = figure('Units','normalized', ...
	'BackingStore','off', ...
	'Color',[0.8 0.8 0.8], ...
	'MenuBar','none', ...
	'Name','  Save As', ...
	'NumberTitle','off', ...
   'PaperPosition',[158.25 359.25 295.5 73.5], ...
	'Position',[0.30 0.44 0.30 0.12], ...
	'Resize','off', ...
	'Tag','Repl_File', ...
   'ToolBar','none');
% text
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
   'FontU','normalized', ...  
   'max',2, ...
  	'Backg',[0.8 0.8 0.8], ...
	'FontS',0.4, ...
  	'FontN','Arial', ...
	'Horiz','left', ...
	'Position',[0.1 0.5 0.8 0.3], ...
   'String',command_str, ...
	'Style','text', ...
   'Tag','StaticText3');
% Pushbuttons Yes and No 
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Callback','SvAs ReplaceFile', ...
	'FontName','Arial', ...
	'FontSize',0.5, ...
	'Position',[0.22 0.10 0.2 0.27], ...
	'String','Yes', ...
   'Tag','Yes');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Callback','close(gcbf)', ...
	'FontName','Arial', ...
	'FontSize',0.5, ...
	'Position',[0.52 0.10 0.2 0.27], ...
	'String','No', ...
	'Tag','No');