function fig = Save_As(command_str)
% filename: Save_As.m
% Project: POFACETS
% Description: This function displays a GUI that prompts the user to
%        save the model's coordinates and facet configuration data.
% Author:  Prof. David C. Jenn and Elmo E. Garrido Jr.
% Date:  31 August 2000
% Place: NPS
%
% 	MODEL GUI
%  -- File 
%     -- Save As ...


if nargin == 0
   command_str = 'initialize';
end

% Initialize the GUI
if strcmp(command_str,'initialize')
   h_figs = get(0,'children');
   fig_exists = 0;
   for fig = h_figs'
      fig_exists = strcmp(get(fig,'Tag'),'Save_As');
      if fig_exists
         figure(fig);
         return;
      end
   end
end

% Figure 
h0 = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'MenuBar','none', ...
	'Name','   Save As', ...
	'NumberTitle','off', ...
	'Position',[0.3115 0.3464 0.2949 0.2852], ...
	'Resize','off', ...
	'Tag','Save_As', ...
   'ToolBar','none');
% Listbox
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
   'BackgroundColor',[1 1 1], ...
   'Callb','SvAs ListB', ...
	'CreateFcn',['list = dir([''models'',filesep,''*.*'']);',...
					 'str = {list.name};',...
					 'set(gcbo,''String'',str)'],...   
  	'FontSize',0.10, ...
	'Position',[0.089 0.3379 0.8278 0.5982], ...
	'Style','listbox', ...
	'Tag','ListB', ...
	'Value',3);
% Pushbuttons Save and Cancel
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Callback','SvAs SaveFile', ...
	'FontName','Arial', ...
	'FontSize',0.5, ...
	'Position',[0.6623 0.1826 0.255 0.1187], ...
	'String','Save', ...
	'Tag','Save');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Callback','close(gcbf)', ...
	'FontName','Arial', ...
	'FontSize',0.5, ...
	'Position',[0.6589 0.0388 0.2583 0.1187], ...
	'String','Cancel', ...
	'Tag','Cancel');
% Editable Text
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...   
   'BackgroundColor',[1 1 1], ...
 	'FontName','Arial', ...
   'FontSize',0.5, ...
   'String','', ... 
  	'Horiz','left', ...
   'Position',[0.089 0.05 0.45 0.12], ...
	'Style','edit', ...
	'Tag','Filenm');
% Text File name
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontName','Arial', ...
	'FontSize',0.8, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[0.089 0.18 0.255 0.0822], ...
	'String','File name :', ...
	'Style','text', ...
	'Tag','StaticText1');