function SvAs(action)
% filename: SvAs.m 
% Project: POFACETS
% Description: This function evaluates user selection among the 
%			list of models displayed in the Save As GUI.
% Author:  Prof. David C. Jenn and Elmo E. Garrido Jr.
% Date:  31 August 2000
% Place: NPS


switch(action)
      
   case 'ListB' 
		h_figs = get(0,'children');
		for fig = h_figs'
 			if strcmp(get(fig,'Tag'),'Save_As');
             h_SaveAs = fig;  
             break;
  			end
		end

		h_ListB = findobj(h_SaveAs,'Tag','ListB'); 
   	list = get(h_ListB,'String');
   	v = get(gco,'Value');
   	if (v == 1 | v == 2)
      	 set(h_ListB,'Value',3);
      end    
      
      h_filename = findobj(gcf,'Tag','Filenm');
      set(h_filename,'String',list{v});
      
   case 'SaveFile'     	
      h_filename = findobj(gcf,'Tag','Filenm');
      filename = get(h_filename,'String');
      if isempty(filename) | prod(size(filename)) == 0
         errordlg('No filename was entered!', ' Filename Status','error');
      else
			h_ListB = findobj(gcf,'Tag','ListB');
         list = get(h_ListB,'String');
         [r c] = size(list);
         file_exists = 0;
         for i = 1:r  
            file_exists = strcmp(filename,[list{i}]);
            if file_exists
               dir_model = [pwd,filesep,'models',filesep];
               msg = [dir_model,filename,' already exists.', ...
                      '      Do you want to replace it?'];         
               Repl_File(msg); 
               break; 
            end  % if file_exists        
         end % for
         
         if file_exists == 0
         	% create directory for the new model
   			cd models;
   			feval('mkdir',filename);
				cd ..;
            
            SaveRoutine(filename);
            
            h_figs = get(0,'children');
				for fig = h_figs'
 					if strcmp(get(fig,'Tag'),'Save_As');
                   delete (fig);
                   break;
  					end
            end % for
            
            msgbox([filename, ' model saved !'],' File Saved','help');  
  			end % if file_exists == 0
		end % if
      
  case 'ReplaceFile'     	
      SaveAs_exists = 0;
      h_figs = get(0,'children');
		for fig = h_figs'
 			if strcmp(get(fig,'Tag'),'Save_As');
            h_SaveAs = fig;  
            SaveAs_exists = 1; 
  			end
      end % for
      
      if SaveAs_exists == 1
         h_filename = findobj(h_SaveAs,'Tag','Filenm');
         filename = get(h_filename,'String');
         delete (h_SaveAs);   
         SaveRoutine(filename);
         
         h_figs = get(0,'children');
			for fig = h_figs'
 				if strcmp(get(fig,'Tag'),'Repl_File');
      			delete (fig);  
  				end
      	end                            
      	msgbox([filename, ' model saved !'],'   File Saved','help');             
      else      
     		h_figs = get(0,'children');
			for fig = h_figs'
            if strcmp(get(fig,'Tag'),'design');
               h_design = fig;              
               h_filename = findobj(h_design,'Tag','File');               
               filename = get(h_filename,'String');
               SaveRoutine(filename);
               msgbox([filename, ' model saved !'],'   File Saved','help'); 
               
               h_figs = get(0,'children');
					for fig = h_figs'
 						if strcmp(get(fig,'Tag'),'Repl_File');
      					delete (fig);  
  						end
               end
                  
               break;
            end % if strcmp
         end % for
      end % if-else
                        
 end % switch
   
  
function SaveRoutine(model_name) 
   % get coordinates and facets data
	h_figs = get(0,'children');
	for fig = h_figs'
	  if strcmp(get(fig,'Tag'),'design');
	      h_design = fig;
     end
   end
   nvert = str2num(get(findobj(h_design,'Tag','NVert'),'String'));                    
   coord = zeros(nvert,3);
   for i = 1:nvert
      for j = 1:3
         coord(i,j) = str2num(get(findobj(h_design,'Tag',['v',num2str(i),num2str(j+1)]),'String'));
      end
   end   
   scale = str2num(get(findobj(h_design,'Tag','Scale'),'String'));
   
   h_figs = get(0,'children');
	for fig = h_figs'
	  if strcmp(get(fig,'Tag'),'facets');
	      h_facets = fig;
     end
   end
   ntria = str2num(get(findobj(h_facets,'Tag','NFacet'),'String'));                  
   facet = zeros(ntria,6);
   for i = 1:ntria
      for j = 1:6
         facet(i,j) = str2num(get(findobj(h_facets,'Tag',['f',num2str(i),num2str(j)]),'String'));
      end
   end
   
	xpts = coord(:,1)*scale;
	ypts = coord(:,2)*scale;
	zpts = coord(:,3)*scale;
   coordinates = [xpts ypts zpts];
   
	nfc   = facet(:,1);  
   node1 = facet(:,2); 	
   node2 = facet(:,3); 
   node3 = facet(:,4);
   ilum  = facet(:,5);
   Rs		= facet(:,6);
   facet = [nfc node1 node2 node3 ilum Rs];
   
   dir_model = [pwd,filesep,'models',filesep];
   cname = [dir_model,model_name,filesep,'coordinates.mat'];
   fname = [dir_model,model_name,filesep,'facet.mat'];
   feval('save',cname);
   feval('save',fname);