function fig = bistatic(command_str)
% filename: bistatic.m
% Project: POFACETS
% Description: This function displays the CALCULATE BISTATIC RCS GUI.
% Author:  Prof. David C. Jenn and Elmo E. Garrido Jr.
% Date:  07 August 2000 
% Place: NPS
%
% 	CALCULATE BISTATIC RCS GUI

% Delete active GUIs except POFACETS and BISTATIC
h_figs = get(0,'children');
for fig = h_figs'
   %  delete Design GUIs  and Monostatic GUIs
   if strcmp(get(fig,'Tag'),'design') | ...
   	strcmp(get(fig,'Tag'),'facets') | ...
      strcmp(get(fig,'Tag'),'model') | ...
		strcmp(get(fig,'Tag'),'hlpdsgncoord') | ...
		strcmp(get(fig,'Tag'),'hlpdsgnfacet') | ...
      strcmp(get(fig,'Tag'),'hlpmodel') | ...	 
      strcmp(get(fig,'Tag'),'Maximum Number of Points') | ...
		strcmp(get(fig,'Tag'),'Repl_File') | ...
		strcmp(get(fig,'Tag'),'Save_As') | ...
		strcmp(get(fig,'Tag'),'Number of Vertices Status') | ...
		strcmp(get(fig,'Tag'),'dsgnFO') | ...
      strcmp(get(fig,'Tag'),'monostatic') | ...
      strcmp(get(fig,'Tag'),'MPlot') | ...
      strcmp(get(fig,'Tag'),'MPlot1') | ...
      strcmp(get(fig,'Tag'),'Message') | ...
      strcmp(get(fig,'Tag'),'MsgComputing') | ...
      strcmp(get(fig,'Tag'),'hlpmain') | ...            
		strcmp(get(fig,'Tag'),'hlpmono') 			
   
   		delete(fig); 
   end
end          

if nargin == 0
   command_str = 'initialize';
end

% Initialize the GUI
if strcmp(command_str,'initialize')
   h_figs = get(0,'children');
   fig_exists = 0;
   for fig = h_figs'
      fig_exists = strcmp(get(fig,'Tag'),'bistatic');
      if fig_exists
         figure(fig);
         return;
      end
   end
end

% figure
h0 = figure('Units','normalized', ...
	'Color',[0.7 0.7 0.7], ...
	'MenuBar','none', ...
	'Name','    CALCULATE BISTATIC RCS', ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[0.3633 0.2188 0.5674 0.6523], ...
	'Tag','bistatic', ...
	'ToolBar','none');  
% frames
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'Position',[0.3494 0.5269 0.6248 0.3992], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'Position',[0.3597 0.5389 0.2444 0.3752], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'Position',[0.6093 0.5389 0.3546 0.3772], ...
	'Style','frame', ...
	'Tag','Frame3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'Position',[0.6248 0.7106 0.3219 0.1557], ...
	'Style','frame', ...
	'Tag','Frame4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'Position',[0.6231 0.5489 0.3219 0.1557], ...
	'Style','frame', ...
	'Tag','Frame5');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'Position',[0.3511 0.1158 0.6248 0.3992], ...
	'Style','frame', ...
	'Tag','Frame6');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'Position',[0.6988 0.1756 0.0086 0.2156], ...
	'Style','frame', ...
	'Tag','Frame7');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'Position',[0.0189 0.1198 0.3098 0.2116], ...
	'Style','frame', ...
	'Tag','Frame8');
% listbox
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callback','bistat ListB;', ...
	'CreateFcn',['list = dir([''models'',filesep,''*.*'']);',...
					 'str = {list.name};',...
					 'set(gcbo,''String'',str)'],...   
   'FontN','Arial', ...
	'FontS',0.07, ...
	'Position',[0.0189 0.4491 0.3098 0.4749], ...
	'String',' ', ...
	'Style','listbox', ...
	'Tag','ListB', ...
	'Value',3);
% texts
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.8, ...
	'FontWeight','bold', ...
	'Horiz','left', ...
	'Position',[0.029 0.94 0.18 0.037], ...
	'String','Model Name:', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.7, ...
	'FontW','bold', ...
	'Position',[0.45 0.44 0.45 0.046], ...
	'String','Computational Parameters', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','arial', ...
	'FontS',0.7, ...
	'Position',[0.456 0.36 0.15 0.04], ...
	'String','Taylor Series', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.7, ...
	'Horiz','left', ...
	'Position',[0.387 0.269 0.19 0.04], ...
	'String','Length of Region:', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.7, ...
	'Horiz','left', ...
	'Position',[0.387 0.193 0.195 0.04], ...
	'String','Number of Terms:', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'FontName','Arial', ...
	'FontSize',0.6, ...
	'Position',[0.74 0.34 0.20 0.04], ...
	'String','Incident Polarization', ...
	'Style','text', ...
	'Tag','StaticText5');
% Frequency
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.7, ...
	'Horiz','left', ...
  	'Position',[0.725 0.2 0.12 0.034], ...   
	'String','Frequency:', ...
	'Style','text', ...
   'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.4, ...
	'FontW','bold', ...
	'Position',[0.4148 0.8224 0.14 0.07], ...
	'String','Incidence Angle', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.6, ...
	'FontW','bold', ...
	'Horiz','left', ...
	'Position',[0.38 0.7385 0.07 0.0439], ...
	'String','Theta:', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.6, ...
	'FontW','bold', ...
	'Horiz','left', ...
	'Position',[0.38 0.6028 0.05 0.0439], ...
	'String','Phi:', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.6, ...
	'FontW','bold', ...
	'Position',[0.67 0.868 0.25 0.04], ...
	'String','Observation Angle', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.6, ...
	'Horiz','left', ...
	'Position',[0.55 0.746 0.04 0.04], ...
	'String','deg', ...
	'Style','text', ...
	'Tag','StaticText7');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.6, ...
	'Horiz','left', ...
	'Position',[0.55 0.6108 0.04 0.04], ...
	'String','deg', ...
	'Style','text', ...
	'Tag','StaticText7');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.7, ...
	'Horiz','left', ...
	'Position',[0.65 0.8144 0.13 0.034], ...
	'String','Theta Start:', ...
	'Style','text', ...
	'Tag','StaticText8');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.7, ...
	'Horiz','left', ...
	'Position',[0.65 0.7725 0.13 0.034], ...
	'String','Theta Stop:', ...
	'Style','text', ...
	'Tag','StaticText8');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.7, ...
	'Horiz','left', ...
	'Position',[0.65 0.7305 0.13 0.034], ...
	'String','Increment:', ...
	'Style','text', ...
	'Tag','StaticText8');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Times Roman', ...
	'FontS',0.6, ...
	'Horiz','left', ...
	'Position',[0.8657 0.8124 0.04 0.04], ...
	'String','deg', ...
	'Style','text', ...
	'Tag','StaticText10');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.6, ...
	'Horiz','left', ...
	'Position',[0.8657 0.7665 0.04 0.04], ...
	'String','deg', ...
	'Style','text', ...
	'Tag','StaticText9');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.6, ...
	'Horiz','left', ...
	'Position',[0.8657 0.7206 0.04 0.04], ...
	'String','deg', ...
	'Style','text', ...
	'Tag','StaticText9');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.7, ...
	'Horiz','left', ...
	'Position',[0.655 0.6527 0.13 0.034], ...
	'String','Phi Start:', ...
	'Style','text', ...
	'Tag','StaticText8');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.7, ...
	'Horiz','left', ...
	'Position',[0.655 0.6068 0.13 0.034], ...
	'String','Phi Stop:', ...
	'Style','text', ...
	'Tag','StaticText8');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.7, ...
	'Horiz','left', ...
	'Position',[0.655 0.5629 0.13 0.034], ...
	'String','Increment:', ...
	'Style','text', ...
	'Tag','StaticText8');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.6, ...
	'Horiz','left', ...
	'Position',[0.8657 0.5649 0.04 0.04], ...
	'String','deg', ...
	'Style','text', ...
	'Tag','StaticText9');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.6, ...
	'Horiz','left', ...
	'Position',[0.8657 0.6108 0.04 0.04], ...
	'String','deg', ...
	'Style','text', ...
	'Tag','StaticText9');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.6, ...
	'Horiz','left', ...
	'Position',[0.8657 0.6567 0.04 0.04], ...
	'String','deg', ...
	'Style','text', ...
	'Tag','StaticText10');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.55, ...
	'FontW','bold', ...
	'Position',[0.065 0.27 0.23 0.0459], ...
	'String','Surface Roughness', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.65, ...
	'Horiz','left', ...
	'Position',[0.035 0.21 0.21 0.04], ...
	'String','Correlation Dist.(m):', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.65, ...
	'Horiz','left', ...
	'Position',[0.035 0.1457 0.21 0.04], ...
	'String','Standard Dev. (m):', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'FontN','Arial', ...
	'FontS',0.7, ...
	'Horiz','center', ...
   'Position',[0.874 0.15 0.05 0.03], ...  
	'String','GHz', ...
	'Style','text', ...
	'Tag','StaticText4');
% editboxes
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callback','bistat iTheta;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.4630 0.7365 0.0757 0.0559], ...
	'String','135', ...
	'Style','edit', ...
	'Tag','iTheta');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callback','bistat iPhi;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.463 0.6008 0.0757 0.0559], ...
	'String','90', ...
	'Style','edit', ...
	'Tag','iPhi');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callback','bistat TStart;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.7874 0.8124 0.0585 0.0439], ...
	'String','0', ...
	'Style','edit', ...
	'Tag','TStart');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callback','bistat TStop;', ...
	'FontN','Arial', ...
	'FontSize',0.5, ...
	'Position',[0.7874 0.7635 0.0585 0.0439], ...
	'String','360', ...
	'Style','edit', ...
	'Tag','TStop');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callback','bistat Delt;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.7874 0.7146 0.0585 0.0439], ...
	'String','3', ...
	'Style','edit', ...
	'Tag','Delt');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callback','bistat PStart;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.7874 0.6547 0.0585 0.0439], ...
	'String','0', ...
	'Style','edit', ...
	'Tag','PStart');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callback','bistat PStop;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.7874 0.6048 0.0585 0.0439], ...
	'String','0', ...
	'Style','edit', ...
	'Tag','PStop');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callback','bistat Delp;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.7874 0.5569 0.0585 0.0439], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','Delp');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callback','bistat LRegion;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.5938 0.2615 0.0861 0.0579], ...
	'String','0.05', ...
	'Style','edit', ...
	'Tag','LRegion');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callback','bistat NTerms;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.5955 0.1816 0.0861 0.0579], ...
	'String','5', ...
	'Style','edit', ...
	'Tag','NTerms');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callback','bistat Freq;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.845 0.19 0.1033 0.0519], ... 
	'String','0.3', ...
	'Style','edit', ...
	'Tag','Freq');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callback','bistat Corr;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.24 0.21 0.075 0.0519], ...
	'String','0', ...
	'Style','edit', ...
	'Tag','Corr');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callback','bistat Std;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.24 0.14 0.075 0.051], ...
	'String','0', ...
	'Style','edit', ...
	'Tag','Std');
% Pushbuttons
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'Callback','bistat LoadFile;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.1532 0.3812 0.1773 0.0559], ...
	'String','Load File', ...
	'Tag','Loadfile');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'Callback','bistat Calculate;', ...
	'Enable','off', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.05 0.032 0.21 0.06], ...
	'String','Calculate RCS', ...
   'Tag','Calculate');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'Callb','bistat Print;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.3477 0.032 0.157 0.06], ...
   'String','Print', ...
	'Tag','Print');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'Callback','bistat Close;', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.585 0.032 0.157 0.06], ...
	'String','Close', ...
	'Tag','Close');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.7 0.7 0.7], ...
	'Callback','hlpbistat', ...
	'FontN','Arial', ...
	'FontS',0.5, ...
	'Position',[0.8124 0.032 0.157 0.06], ...
	'String','Help', ...
   'Tag','Help');
% Pop-up Menu
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
   'BackgroundColor',[1 1 1], ...
  	'Callb','bistat i_pol', ...
	'FontName','Arial', ...
	'FontSize',0.4, ...
	'ListboxTop',0, ...
	'Position',[0.75 0.278 0.17 0.06], ...
	'String',['Theta (TM-z) ';' Phi (TE-z)  '], ...
	'Style','popupmenu', ...
	'Tag','IncPolar', ...
   'Value',1);
