function fig = design(command_str)
% filename: design.m
% Project: POFACETS
% Description: This function displays the DESIGN MODEL 
%			Coordinates GUI.
% Author:  Prof. David C. Jenn and Elmo E. Garrido Jr.
% Date:  07 Augusts 2000
% Place: NPS
%
% 	DESIGN MODEL COORDINATES GUI

% Delete active GUIs except POFACETS and DESIGN
h_figs = get(0,'children');
for fig = h_figs'
   % delete Monostatic and Bistatic GUIs
   if strcmp(get(fig,'Tag'),'monostatic') | ...
  		strcmp(get(fig,'Tag'),'hlpmono') | ...        
      strcmp(get(fig,'Tag'),'MPlot') | ...
		strcmp(get(fig,'Tag'),'MPlot1') | ...
  		strcmp(get(fig,'Tag'),'Message') | ...
		strcmp(get(fig,'Tag'),'MsgComputing') | ...
   	strcmp(get(fig,'Tag'),'bistatic') | ...
  		strcmp(get(fig,'Tag'),'hlpbistat') | ...   
      strcmp(get(fig,'Tag'),'BPlot') | ...
      strcmp(get(fig,'Tag'),'BPlot1') | ...
      strcmp(get(fig,'Tag'),'hlpmain') | ...      
      strcmp(get(fig,'Tag'),'BMessage') 			
  
   		delete(fig); 
   end  
end          


if nargin == 0
   command_str = 'initialize';
end

% Initialize the GUI
if strcmp(command_str,'initialize')
   h_figs = get(0,'children');
   fig_exists = 0;
   for fig = h_figs'
      fig_exists = strcmp(get(fig,'Tag'),'design');
      if fig_exists
         figure(fig);
         return;
      end
   end
end

% Figure
fig_design = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Name','   DESIGN MODEL Coordinates', ...
	'NumberTitle','off', ...
	'Position',[0.0166 0.1628 0.5469 0.6484], ...
   'Resize','off', ...
   'MenuBar','none', ...
	'Tag','design');
% Frames
h1 = uicontrol('Parent',fig_design, ...
	'Units','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
	'Position',[0.0107 0.0823 .977 .904], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',fig_design, ...
	'Units','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
	'Position',[0.018 0.088 .475 .81], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',fig_design, ...
	'Units','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
	'Position',[0.5 0.088 .475 .81], ...
	'Style','frame', ...
	'Tag','Frame3');
% Texts
h1 = uicontrol('Parent',fig_design, ...
   'Units','normalized', ...
  	'FontU','normalized', ...   
	'Backg',[0.8 0.8 0.8], ...
   'FontS',1.0, ...
   'FontN','Arial', ...
	'FontW','bold', ...
	'Horiz','left', ...
	'Position',[0.38 0.955 0.21 0.0248], ...
	'String','Number of Vertices:', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',fig_design, ...
	'Units','normalized', ...
	'FontU','normalized', ...   
	'Backg',[0.8 0.8 0.8], ...
   'FontS',0.7, ...
   'FontN','Arial', ...
	'FontW','bold', ...
	'Horiz','left', ...
	'Position',[0.75 0.93 0.07 0.035], ...
	'String','Scale:', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',fig_design, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
	'FontS',0.9, ...
   'FontN','Arial', ...  
	'FontW','bold', ...
	'Horiz','left', ...
	'Position',[0.32 0.9215 0.28 0.0285], ...
	'String','VERTEX COORDINATES (m)', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',fig_design, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
   'FontS',0.8, ...
	'Horiz','left', ...
	'Position',[0.04464 0.8986 0.385 0.0241], ...
	'String','v#              X                      Y                      Z', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',fig_design, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
	'FontS',0.8, ...
	'Horiz','left', ...
	'Position',[0.525 0.8986 0.385 0.0241], ...
	'String','v#              X                      Y                      Z', ...
	'Style','text', ...
	'Tag','StaticText2');
% Editbox
h1 = uicontrol('Parent',fig_design, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callb','dsgn NVert;', ...
  	'Enable','off', ...
   'FontS',0.6, ...
   'FontN','Arial',...  
	'Position',[0.6 0.94237 0.08036 0.0392], ...
	'String','3', ...
	'Style','edit', ...
   'Tag','NVert');
h1 = uicontrol('Parent',fig_design, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[1 1 1], ...
	'Callb','dsgn scale;', ...
  	'Enable','off', ...
   'FontS',0.6, ...
   'FontN','Arial',...       
	'Position',[0.83 0.93 0.07 0.04], ...
	'String','1', ...
	'Style','edit', ...
   'Tag','Scale');
% Pushbuttons
h1 = uicontrol('Parent',fig_design, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
	'Callb','dsgn DesignFacets;', ...
	'Enable','off', ...
   'FontS',0.4, ...
   'FontN','Arial',...  
	'Position',[0.036 0.01 0.214 0.064], ...
	'String','Design Facets', ...
	'Tag','DesignFacets');
h1 = uicontrol('Parent',fig_design, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
   'Callb','dsgn Apply;', ...
 	'Enable','off', ...
   'FontS',0.4, ...
   'FontN','Arial',...  
	'Position',[0.324 0.010 0.173 0.064], ...
	'String','Apply', ...
	'Tag','Apply');
h1 = uicontrol('Parent',fig_design, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
	'Callb','dsgn CloseDesign;', ...
   'FontS',0.4, ...
   'FontN','Arial',...  
	'Position',[0.55 0.01 0.173 0.064], ...
	'String','Close', ...
	'Tag','Close');
h1 = uicontrol('Parent',fig_design, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
	'Callb','hlpdsgncoord', ...
   'FontS',0.4, ...
   'FontN','Arial',...  
	'Position',[0.791 0.01 0.173 0.064], ...
	'String','Help', ...
	'Tag','Help');

% Create Pop-up File Menu 

dsgn_F = uimenu(gcf,'Label','File');
	uimenu(dsgn_F,'Label','&New',    'CallB','dsgnFN');
	uimenu(dsgn_F,'Label','&Open...','CallB','dsgnFO');