function fig = dsgnFN(command_str)
% filename: dsgnFN.m
% Project: POFACETS
% Description: This function clears any previous DESIGN GUIs and 
%		displays a fresh Design Model Coordinates GUI enabling the
%		the user to create a new model.
% Author:  Prof. David C. Jenn and Elmo E. Garrido Jr.
% Date:  24 July 2000
% Place: NPS
%
% 	DESIGN GUI
%  -- File 
%     -- New

h_figs = get(0,'children');
for fig = h_figs'
   if strcmp(get(fig,'Tag'),'design') | ...
      strcmp(get(fig,'Tag'),'facets') | ...
      strcmp(get(fig,'Tag'),'model') | ...
		strcmp(get(fig,'Tag'),'hlpdsgncoord') | ...
		strcmp(get(fig,'Tag'),'hlpdsgnfacet') | ...
		strcmp(get(fig,'Tag'),'hlpmodel') | ...
		strcmp(get(fig,'Tag'),'SaveAs') | ...
      strcmp(get(fig,'Tag'),'Repl_File') 

      delete(fig); 
   end
end
      
% activate DESIGN GUI, set default value for Number of Vertices
design;
set(findobj(gcf,'Tag','NVert'),'enable','on','String',3);
set(findobj(gcf,'Tag','Scale'),'enable','on','String',1);