function C = helpbistattxt
% filename: helpbistattxt.m
% Project: POFACETS
% Description:  This program contains the text displayed in the Bistatic RCS 
%			Help GUI.
% Author:  Prof. David C. Jenn and Elmo E. Garrido Jr.
% Date: 24 July 2000
% Place: NPS
%
C  = {'Calculate Bistatic RCS computes the total radar cross section of the target'; ...
      'using a bistatic radar (transmitter and receiver at different locations).'; ...
      ''; ...
      'Incidence Angle - The incidence direction is fixed and is defined by a theta'; ...
      'and phi angle in degrees.'; ...
      ''; ...
      'Observation Angles - While the incidence angle is fixed, the observation'; ...
      'direction changes.  Theta/Phi Start and Stop Angles are measured in degrees'; ...
      'and entering a phi start and phi stop  with equal values results in a phi-cut.'; ...
      'Similarly, entering a theta start and theta stop  with equal values results in a'; ...
      'theta-cut. '; ...
      ''; ...		
      'Increment - defines the number of degrees (or fraction of a degree) increase'; ...
      'in step for the theta/phi start and stop angles to be used in calculating the'; ...
      'bistatic radar cross section of the model.'; ...
		''; ...     
      'Surface Roughness - A model may be designed to have a rough surface by'; ...
      'inputting values for correlation distance and standard deviation.  These'; ...
      'parameters contribute a diffuse scattering component of the RCS and is added'; ...
      'to the coherent component.  The random deviation of the surface results in'; ...
      'diffuse scattering which yields a relatively angle dependent term to the RCS.'; ...
      ''; ...
      'Correlation Distance - This is the average distance (in meters) at which';...
      'deviations become uncorrelated.  A large correlation distance implies a';...
      'slowly varying surface error, whereas a small correlation distance is associated';...
      'with a rapidly varying error.';...
      ''; ...
      'Standard Deviation - A measure of the roughness of a surface is the standard'; ...
      'deviation of its variation about the mean value.  Typical values are usually'; ...
      'about a tenth (1/10) of the wavelength.'; ...
      ''; ...
      'Computational parameters that may be varied are the length of the Taylor'; ...
      'series region (Lt), the number of terms in the Taylor series (Nt), and the'; ...
      'frequency/wavelength.    Default values are Lt = .05 and Nt = 5 which in'; ...
      'general give good results with relatively fast run times.  Either a frequency'; ...
      'or wavelength may be inputted.  An input in one will automatically compute'; ...
      'the value for the other.'};