function C = helpfacettxt
% filename: helpfacettxt.m
% Project: POFACETS
% Description:  This program contains the text displayed in the Design Model
%		Facets Help GUI.
% Author:  Prof. David C. Jenn and Elmo E. Garrido Jr.
% Date: 24 July 2000
% Place: NPS
%
 C = {'Design Model Facets configures the geometry of the object by defining'; ...
      'an array of triangular components or facets comprising the model. The'; ...
      'facets  are  described  using  a  facet number, which  by  default is'; ...
      'sequential. Each facet is defined by three nodes or vertices, and its'; ...
      'illumination and resistivity characteristics.'; ...
      ' '; ...
      'Nodes - Entries  in the nodes (node1, node2, and node3) represent the'; ...
      'vertex  numbers  defining the facet.  The nodes  comprising the facet'; ...
      'should  be ordered in a right-hand or  counter clockwise sense  where'; ...
      'the normal to the facet is the direction of illumination.'; ...
      ' '; ...
      'Illumination (ilum) - The  illumination  value  is 0 if  the facet is'; ... 
      'allowed  to be  illuminated  from  both sides and 1 if the facet will'; ...
      'only be illuminated from one side.'; ...  
		' '; ...
      'Resistivity (Rs) - The  resistivity of the facet is normalized to the'; ...
      'free space value of 377 ohms.  If surface Rs = 0, then the facet is a'; ...
      'perfect electric conductor (PEC); when  Rs  is infinity (in practice,'; ... 
      'several thousand) the facet is transparent.'; ... 
		' '; ...
      'Set  uniform illumination -  Models  designed  to  exhibit  the  same'; ...
      'illumination  characteristics  for each facet (such as a square plate'; ...
      'where  both  sides  may  be illuminated or a closed  figure where all'; ...
      'facets are illuminated only on one side) may use  this  functionality'; ...
      'to conveniently set the illumination value for all the facets.'; ...
      ' '; ...
      'Set  uniform  resistivity  -  Models  designed  to  have  a  constant'; ...
      'resistive  surface  may  use  this  functionality  to  easily set the'; ...
      'resistivity value for all the facets.'; ...
		' '; ...
		'View Model - displays the GUI a plot of the model designed.'; ...
		' '; ...
      'Apply  - checks the  correctness of all the encoded parameters in the'; ...
      'facet  configuration  and displays help messages to correct erroneous'; ...
      'data.'; ...
		' '; ...
		'Close - closes the GUI figure.'};