function fig = hlpbistat(command_str)
% filename: hlpbistat.m
% Project:  POFACETS
% Description: This function displays the BISTATIC RCS 
% 			Help GUI.
% Author:  Prof. David C. Jenn and Elmo E. Garrido Jr.
% Date:  24 July 2000
% Place: NPS
%
% 	BISTATIC RCS HELP GUI

if nargin == 0
   command_str = 'initialize';
end

% Initialize the GUI
if strcmp(command_str,'initialize')
   h_figs = get(0,'children');
   fig_exists = 0;
   for fig = h_figs'
      fig_exists = strcmp(get(fig,'Tag'),'hlpbistat');
      if fig_exists
         figure(fig);
         return;
      end
   end
end

% Figure
h0 = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'MenuBar','none', ...
	'Name','    BISTATIC RCS Help', ...
	'NumberTitle','off', ...
	'Position',[0.4687 0.39 0.50 0.55], ...
	'Resize','off', ...
	'Tag','hlpbistat');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Backg',[1 1 1], ...
   'Fore',[0 0 0], ...   
   'Fonts',0.001, ...
 	'Fontn','Times New Roman', ...
	'Horiz','left', ...          
	'CreateFcn',['S = char(helpbistattxt);', ...
					 'set(gcbo,''String'',S);'],  ...
   'Max',2, ...
	'Position',[0.028 0.10 0.95 0.9], ...
	'Style','listbox', ...
	'Tag','ListB', ...
	'Value',1);
% Pushbutton Close
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontU','normalized', ...
	'Backg',[0.8 0.8 0.8], ...
	'Callb','close(gcbf);', ...
	'FontS',0.43, ...
	'Position',[0.815 0.017 0.163 0.0735], ...
	'String','Close', ...
	'Tag','Close');