function mplt(action)
% filename: mplt.m
% Project: POFACETS
% Description: This module implements the functionalities  of the GUI 
%			with the calculated monostatic RCS of a selected target.
% Author:  Prof. David C. Jenn and Elmo E. Garrido Jr.
% Date:  18 July 2000
% Place: NPS

switch(action)         
   
	case 'ThAz'
  
      h_thaz = findobj(gcf,'Tag','ThAz'); 
      taz_str = get(gcbo,'String');   	    
      taz = getAngle(taz_str);  
      set(h_thaz,'String',num2str(taz));
      
   case 'ThElev'
      
      h_telev = findobj(gcf,'Tag','ThElev'); 
      telev_str = get(gcbo,'String');   	
      telev = getAngle(telev_str);  
      set(h_telev,'String',num2str(telev));

	case 'PhiAz'
      
      h_paz = findobj(gcf,'Tag','PhiAz'); 
      paz_str = get(gcbo,'String');   	
      paz = getAngle(paz_str);  
      set(h_paz,'String',num2str(paz));
           
   case 'PhiElev'         
      
      h_pelev = findobj(gcf,'Tag','PhiElev'); 
      pelev_str = get(gcbo,'String');   	
      pelev = getAngle(pelev_str);  
      set(h_pelev,'String',num2str(pelev));
            
   case 'ThView'
      
      t_az 	  = (str2num(get(findobj(gcf,'Tag','ThAz'),'String'))); 
      t_elev  = (str2num(get(findobj(gcf,'Tag','ThElev'),'String')));         	            
      [t_az t_elev]
      
%     disp('am at RCS Theta plot');      
      subplot(121);
      axis square;
%		set(h_Axes2,'CameraViewAngleMode','manual');
%		set(h_Axes2,'View',[t_az t_elev]);
		view(t_az,t_elev);
      
   case 'PhView'
      
      p_az   = (str2num(get(findobj(gcf,'Tag','PhiAz'),'String'))); 
      p_elev = (str2num(get(findobj(gcf,'Tag','PhiElev'),'String'))); 
      [p_az p_elev]
%      h_Axes1 = findobj(gcf,'Tag','Axes1');
%		set(h_Axes2,'View',[p_az p_elev]);
		subplot(122);
		axis square;
%		disp('am at RCS Phi plot');
%		set(gca,'CameraViewAngleMode','manual');
		view(p_az,p_elev);
      
   case 'PrintMPlot'
      h_figs = get(0,'children');
   	for fig = h_figs'
         if strcmp(get(fig,'Tag'),'MPlot')
            figure(fig);
            print;
      	end
      end      
               
   case 'PrintMPlot1'
      h_figs = get(0,'children');
   	for fig = h_figs'
         if strcmp(get(fig,'Tag'),'MPlot1')
            figure(fig);
            print;
      	end
   	end      
      
   case 'PrintBPlot'
      h_figs = get(0,'children');
   	for fig = h_figs'
         if strcmp(get(fig,'Tag'),'BPlot')
            figure(fig);
            print;
      	end
      end      
      
   case 'PrintBPlot1'
      h_figs = get(0,'children');
   	for fig = h_figs'
         if strcmp(get(fig,'Tag'),'BPlot1')
            figure(fig);
            print;
      	end
   	end      


end % switch  
   
   
% validates the view angle entered
function o_angle = getAngle(str)
   
  	temp = str2num(str);
   if isempty(temp) 
      errordlg('Please enter a numeric angle value.','   ERROR','error');
      temp = 45;	% default view angle          
   elseif (str == 'i') | (str == 'j')
      errordlg('Please enter a numeric angle value.','   ERROR','error');
      temp = 45; 
   end       
   o_angle = temp;